package com.taikor.investment.bean;

import java.util.List;

/**
 * 请求的客户
 * Created by Any on 2017/3/30.
 */

public class Customer {
    /**
     * UserID : 20000
     * UserName : 测试投顾01
     * Customers : [{"CustomerID":"10000","CustomerName":"测试客户01","PortfolioName":null,"PortfolioID":null,"FittingNetWorth":null,"ProfitRate":null},{"CustomerID":"10001","CustomerName":"测试用户02","PortfolioName":null,"PortfolioID":null,"FittingNetWorth":null,"ProfitRate":null}]
     */

    private String UserID;
    private String UserName;
    private List<CustomersBean> Customers;

    public String getUserID() {
        return UserID;
    }

    public void setUserID(String UserID) {
        this.UserID = UserID;
    }

    public String getUserName() {
        return UserName;
    }

    public void setUserName(String UserName) {
        this.UserName = UserName;
    }

    public List<CustomersBean> getCustomers() {
        return Customers;
    }

    public void setCustomers(List<CustomersBean> Customers) {
        this.Customers = Customers;
    }

    public static class CustomersBean {
        /**
         * CustomerID : 10000
         * CustomerName : 测试客户01
         * PortfolioName : null
         * PortfolioID : null
         * FittingNetWorth : null
         * ProfitRate : null
         */

        private String CustomerID;
        private String CustomerName;
        private String PortfolioName;
        private String PortfolioID;
        private double FittingNetWorth;
        private double ProfitRate;

        public String getCustomerID() {
            return CustomerID;
        }

        public void setCustomerID(String CustomerID) {
            this.CustomerID = CustomerID;
        }

        public String getCustomerName() {
            return CustomerName;
        }

        public void setCustomerName(String CustomerName) {
            this.CustomerName = CustomerName;
        }

        public String getPortfolioName() {
            return PortfolioName;
        }

        public void setPortfolioName(String PortfolioName) {
            this.PortfolioName = PortfolioName;
        }

        public String getPortfolioID() {
            return PortfolioID;
        }

        public void setPortfolioID(String PortfolioID) {
            this.PortfolioID = PortfolioID;
        }

        public double getFittingNetWorth() {
            return FittingNetWorth;
        }

        public void setFittingNetWorth(double FittingNetWorth) {
            this.FittingNetWorth = FittingNetWorth;
        }

        public double getProfitRate() {
            return ProfitRate;
        }

        public void setProfitRate(double ProfitRate) {
            this.ProfitRate = ProfitRate;
        }
    }

}
